Debian Bug report logs - #603141
upgrade from lenny fails

version graph

Package: postgresql-common; Maintainer for postgresql-common is Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>; Source for postgresql-common is src:postgresql-common.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Thu, 11 Nov 2010 09:33:01 UTC

Severity: serious

Merged with 591924, 603140

Found in version postgresql-common/110

Fixed in version postgresql-common/112

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fernando Ike de Oliveira <fike@midstorm.org>:
Bug#603141; Package dbi-link. (Thu, 11 Nov 2010 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Fernando Ike de Oliveira <fike@midstorm.org>. (Thu, 11 Nov 2010 09:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: dbi-link: fails to install due to incorrect dependencies in init.d LSB header
Date: Thu, 11 Nov 2010 10:31:00 +0100
[Message part 1 (text/plain, inline)]
Package: dbi-link
Version: 2.0.0-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o
User:     initscripts-ng-devel@lists.alioth.debian.org
Usertags: incorrect-dependency

Hi, 

during a test with piuparts I noticed your package failed to install due to 
incorrect dependencies in the init.d LSB header. Some debian notes are 
available from at http://wiki.debian.org/LSBInitScripts

From the attached log (scroll to the bottom...):

  Setting up postgresql-8.4 (8.4.4-1+b1) ...
  Use of uninitialized value in socket 
at /usr/share/postgresql-common/PgCommon.pm line 591.
  Creating new cluster (configuration: /etc/postgresql/8.4/main, 
data: /var/lib/postgresql/8.4/main)...
  Moving configuration file /var/lib/postgresql/8.4/main/postgresql.conf 
to /etc/postgresql/8.4/main...
  Moving configuration file /var/lib/postgresql/8.4/main/pg_hba.conf 
to /etc/postgresql/8.4/main...
  Moving configuration file /var/lib/postgresql/8.4/main/pg_ident.conf 
to /etc/postgresql/8.4/main...
  Configuring postgresql.conf to use port 5433...
  update-alternatives: 
using /usr/share/postgresql/8.4/man/man1/postmaster.1.gz to 
provide /usr/share/man/man1/postmaster.1.gz (postmaster.1.gz) in auto mode.
  insserv: script postgresql-8.4: service postgresql already provided!
  insserv: exiting now!
  update-rc.d: error: insserv rejected the script header
  dpkg: error processing postgresql-8.4 (--configure):
   subprocess installed post-installation script returned error exit status 1
  dpkg: dependency problems prevent configuration of postgresql-plperl-8.4:
   postgresql-plperl-8.4 depends on postgresql-8.4; however:
    Package postgresql-8.4 is not configured yet.
  dpkg: error processing postgresql-plperl-8.4 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of dbi-link:
   dbi-link depends on postgresql-plperl-8.4; however:
    Package postgresql-plperl-8.4 is not configured yet.
  dpkg: error processing dbi-link (--configure):
   dependency problems - leaving unconfigured
  Setting up libudev0 (157-1) ...
  Setting up makedev (2.3.1-89) ...
  Setting up libdevmapper1.02.1 (2:1.02.48-2) ...
  Setting up perl-modules (5.10.1-13) ...
  Setting up dmsetup (2:1.02.48-2) ...
  Setting up perl (5.10.1-13) ...
  Setting up libnet-daemon-perl (0.43-1) ...
  Setting up libplrpc-perl (0.2020-2) ...
  Setting up libdbi-perl (1.611-1) ...
  Setting up libyaml-perl (0.71-1) ...
  Errors were encountered while processing:
   postgresql-8.4
   postgresql-plperl-8.4
   dbi-link
  E: Sub-process /usr/bin/dpkg returned an error code (1)

Please keep in mind that this was a test where first the lenny version was 
installed and then an upgraded was done to squeeze. Also this bug is probably 
just another duplicate of #603140, if so, please reassign there. (And sorry 
for the noise.)


cheers,
	Holger
[dbi-link_2.0.0-3.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions dbi-link/2.0.0-3. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 13:48:09 GMT) Full text and rfc822 format available.

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Wed, 24 Nov 2010 13:48:12 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Wed, 24 Nov 2010 13:48:12 GMT) Full text and rfc822 format available.

Message #12 received at 603141-done@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 603141-done@bugs.debian.org
Subject: Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header
Date: Wed, 24 Nov 2010 14:44:29 +0100
notfound 603141 2.0.0-3
thanks

Hi!

* Holger Levsen <holger@layer-acht.org> [101111 10:31]:

> during a test with piuparts I noticed your package failed to install due to 
> incorrect dependencies in the init.d LSB header. Some debian notes are 
> available from at http://wiki.debian.org/LSBInitScripts

I'm quite sure that this is a failse positive, and therefore mark this
bug as done.

For one reason, the log shows, that it was actually a problem with
insserv and postgresql-8.4:


>   insserv: script postgresql-8.4: service postgresql already provided!
>   insserv: exiting now!
>   update-rc.d: error: insserv rejected the script header
>   dpkg: error processing postgresql-8.4 (--configure):
>    subprocess installed post-installation script returned error exit status 1
>   dpkg: dependency problems prevent configuration of postgresql-plperl-8.4:
>    postgresql-plperl-8.4 depends on postgresql-8.4; however:
>     Package postgresql-8.4 is not configured yet.
>   dpkg: error processing postgresql-plperl-8.4 (--configure):
>    dependency problems - leaving unconfigured
>   dpkg: dependency problems prevent configuration of dbi-link:
>    dbi-link depends on postgresql-plperl-8.4; however:
>     Package postgresql-plperl-8.4 is not configured yet.
>   dpkg: error processing dbi-link (--configure):
>    dependency problems - leaving unconfigured

And the even better reason:  dbi-link doesn't ship a init script at all:

$ dpkg -L dbi-link|grep -c init
0


Best Regards,
  Alexander

PS:  I also tested and couldn't reproduce the problem neither on sid nor
on squeeze.





Information forwarded to debian-bugs-dist@lists.debian.org, Fernando Ike de Oliveira <fike@midstorm.org>:
Bug#603141; Package dbi-link. (Wed, 24 Nov 2010 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Fernando Ike de Oliveira <fike@midstorm.org>. (Wed, 24 Nov 2010 17:33:06 GMT) Full text and rfc822 format available.

Message #17 received at 603141@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Alexander Reichle-Schmehl <tolimar@debian.org>, control@bugs.debian.org, postgresql-8.4@packages.debian.org
Cc: 603141@bugs.debian.org
Subject: Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header
Date: Wed, 24 Nov 2010 18:30:26 +0100
[Message part 1 (text/plain, inline)]
reassign 603141 postgresql-8.4
thanks

Hi,

On Mittwoch, 24. November 2010, Alexander Reichle-Schmehl wrote:
> notfound 603141 2.0.0-3
[...]
> I'm quite sure that this is a failse positive, and therefore mark this
> bug as done.

A false-positive for dbi-link probably, but its a real bug when upgrading from 
lenny.

> For one reason, the log shows, that it was actually a problem with
> insserv and postgresql-8.4:

so why -done@ and not reassign? :)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'dbi-link' to 'postgresql-8.4'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 17:33:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'upgrade from lenny fails' from 'dbi-link: fails to install due to incorrect dependencies in init.d LSB header' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 17:33:17 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Nov 2010 08:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#603141; Package postgresql-8.4. (Thu, 25 Nov 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Thu, 25 Nov 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #28 received at 603141@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 603141@bugs.debian.org
Subject: Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header
Date: Thu, 25 Nov 2010 10:45:36 +0100
Hi!

Am 24.11.2010 18:30, schrieb Holger Levsen:

>> For one reason, the log shows, that it was actually a problem with
>> insserv and postgresql-8.4:
> so why -done@ and not reassign? :)

Sorry, I thought there was already such a bug.

(Which doesn't make it much better, as the proper way would have been to
reassign and merge.)


Best regards,
  Alexander




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Sun, 28 Nov 2010 13:21:37 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sun, 28 Nov 2010 13:21:38 GMT) Full text and rfc822 format available.

Message #33 received at 603141-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Luca Capello <luca@pca.it>
Cc: 603141-done@bugs.debian.org
Subject: Re: postgresql-8.4 and lenny upgrades (was Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header)
Date: Sun, 28 Nov 2010 14:20:06 +0100
[Message part 1 (text/plain, inline)]
Hi Luca,

thanks for your reply!

On Sonntag, 28. November 2010, Luca Capello wrote:
> >   Setting up postgresql-8.4 (8.4.4-1+b1) ...
>
>                                ^^^^^^^^^^
> I could not find this version anymore, not in the postgresql-8.4's
> debian/changelog nor in snapshots.d.o, where did it come from?

from ftp.fi.debian.org :)

I've asked Peter Palfreder to have a look why 8.4.4-1+b1 for amd64 was not 
available on snapshot.d.o

> Please also note that at the time you sent the email, it seems that
> squeeze already has 8.4.4-2:
[...]
> This was already reported (#585890, hey, by you!), solved in 8.4.4-2 (I
> added the versions to the BTS):
[...]
> I tried to reproduce your upgrade bug, but with no success, both in
> piuparts or in a cowbuilder lenny chroot:

Right I have here:

./squeeze/pass/postgresql-8.4_8.4.5-0squeeze1.log
./lenny2squeeze/pass/postgresql-8.4_8.4.4-2.log

and even:

./lenny2squeeze/archive/pass/postgresql-8.4_8.4.4-1+b1.log

Which also kind of explains why I filed this bug again, because I first 
reported it against dbi-link which was then reassigned against 
postgresql-8.4.

> So, for the current title of this bug everything is OK, while for the
> upgrade from lenny+backports this is not, I will leave it to the
> postgresql-8.4 maintainers ;-)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#603141; Package postgresql-8.4. (Sun, 28 Nov 2010 13:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sun, 28 Nov 2010 13:57:10 GMT) Full text and rfc822 format available.

Message #38 received at 603141@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Luca Capello <luca@pca.it>
Cc: 603141@bugs.debian.org
Subject: Re: postgresql-8.4 and lenny upgrades (was Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header)
Date: Sun, 28 Nov 2010 14:55:46 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sonntag, 28. November 2010, Luca Capello wrote:
> I could not find this version anymore, not in the postgresql-8.4's
> debian/changelog nor in snapshots.d.o, where did it come from?

it's there: http://snapshot.debian.org/package/postgresql-8.4/8.4.4-1/


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#603141; Package postgresql-8.4. (Sun, 28 Nov 2010 15:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sun, 28 Nov 2010 15:24:08 GMT) Full text and rfc822 format available.

Message #43 received at 603141@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 603141@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, postgresql-8.4@packages.debian.org, debian-release@lists.debian.org
Subject: postgresql-8.4 and lenny upgrades (was Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header)
Date: Sun, 28 Nov 2010 13:52:02 +0100
[Message part 1 (text/plain, inline)]
found 603141 8.4.4-1+b1
fixed 603141 8.4.4-2
thanks

Hi there!

On Thu, 11 Nov 2010 10:31:00 +0100, Holger Levsen wrote:
> during a test with piuparts I noticed your package failed to install due to 
> incorrect dependencies in the init.d LSB header. Some debian notes are 
> available from at http://wiki.debian.org/LSBInitScripts
>
> From the attached log (scroll to the bottom...):
>
>   Setting up postgresql-8.4 (8.4.4-1+b1) ...
                               ^^^^^^^^^^
I could not find this version anymore, not in the postgresql-8.4's
debian/changelog nor in snapshots.d.o, where did it come from?

Please also note that at the time you sent the email, it seems that
squeeze already has 8.4.4-2:

  http://packages.qa.debian.org/p/postgresql-8.4/news/20100730T163913Z.html

>   insserv: script postgresql-8.4: service postgresql already provided!
>   insserv: exiting now!
>   update-rc.d: error: insserv rejected the script header

This was already reported (#585890, hey, by you!), solved in 8.4.4-2 (I
added the versions to the BTS):

--8<---------------cut here---------------start------------->8---
postgresql-8.4 (8.4.4-2) unstable; urgency=low

  * Migrate to a common init script for all server versions, to avoid
    providing the "postgresql" service in multiple packages (which causes
    insserv to complain bitterly):
    - Drop debian/postgresql-8.4.init.
    - debian/control: Bump dependency to postgresql-common to ensure we have a
      common /etc/init.d/postgresql init script.
    - debian/postgresql-8.4.preinst: Remove/rename our init script on upgrade.	
    - debian/postgresql-8.4.prerm: Call stop_version on upgrade.
    - debian/rules: Drop dh_installinit arguments.
    - (Closes: #585890)
--8<---------------cut here---------------end--------------->8---

> Please keep in mind that this was a test where first the lenny version was 
> installed and then an upgraded was done to squeeze. Also this bug is probably 
> just another duplicate of #603140, if so, please reassign there. (And sorry 
> for the noise.)

And yes, I would also say this was a duplicate of #603140, fixed in
postgresql-common_112.

On Wed, 24 Nov 2010 18:30:26 +0100, Holger Levsen wrote:
> On Mittwoch, 24. November 2010, Alexander Reichle-Schmehl wrote:
>> notfound 603141 2.0.0-3
> [...]
>> I'm quite sure that this is a failse positive, and therefore mark this
>> bug as done.
>
> A false-positive for dbi-link probably, but its a real bug when upgrading from 
> lenny.

I tried to reproduce your upgrade bug, but with no success, both in
piuparts or in a cowbuilder lenny chroot:
=====
(lenny)root@gismo:/# apt-get install dbi-link
(lenny)root@gismo:/# sed -i -e 's/lenny/squeeze/g' /etc/apt/sources.list
(lenny)root@gismo:/# apt-get update && apt-get dist-upgrade
[...]
Setting up libyaml-perl (0.71-1) ...
Setting up dbi-link (2.0.0-3) ...
(lenny)root@gismo:/# dpkg -l postgresql\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                      Version                   
+++-=========================-=========================-
un  postgresql                <none>
un  postgresql-7.4            <none>
un  postgresql-8.0            <none>
ii  postgresql-8.3            8.3.12-0lenny1
ii  postgresql-8.4            8.4.5-0squeeze1
un  postgresql-client         <none>
ii  postgresql-client-8.3     8.3.12-0lenny1
ii  postgresql-client-8.4     8.4.5-0squeeze1
ii  postgresql-client-common  112
ii  postgresql-common         112
un  postgresql-doc-8.3        <none>
un  postgresql-doc-8.4        <none>
ii  postgresql-plperl-8.3     8.3.12-0lenny1
ii  postgresql-plperl-8.4     8.4.5-0squeeze1
(lenny)root@gismo:/#
=====

However, I would like to note that an upgrade from lenny+backports to
squeeze is not possible, given that the version lenny-backports is
higher that the one in squeeze:
=====
(lenny)root@gismo:/# echo \
 "deb http://backports.debian.org/debian-backports lenny-backports main" \
 >>/etc/apt/sources.list
(lenny)root@gismo:/# apt-get update
[...]
(lenny)root@gismo:/# apt-get -t lenny-backports install postgresql-8.4
[...]
(lenny)root@gismo:/# sed -i -e 's/lenny/squeeze/g' /etc/apt/sources.list
(lenny)root@gismo:/# apt-get update
[...]
(lenny)root@gismo:/# apt-cache policy postgresql-8.4
(lenny)root@gismo:/# apt-cache policy postgresql-8.4
postgresql-8.4:
  Installed: 8.4.5-2~bpo50+1
  Candidate: 8.4.5-2~bpo50+1
  Version table:
 *** 8.4.5-2~bpo50+1 0
          1 http://backports.debian.org lenny-backports/main Packages
        100 /var/lib/dpkg/status
     8.4.5-0squeeze1 0
        500 http://cdn.debian.net squeeze/main Packages
(lenny)root@gismo:/#
=====

So, for the current title of this bug everything is OK, while for the
upgrade from lenny+backports this is not, I will leave it to the
postgresql-8.4 maintainers ;-)

Thx, bye,
Gismo / Luca
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions postgresql-8.4/8.4.4-1 and reopened. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 28 Nov 2010 15:24:09 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions postgresql-8.4/8.4.4-2. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 28 Nov 2010 15:24:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#603141; Package postgresql-8.4. (Sun, 28 Nov 2010 21:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and filed, but not forwarded. (Sun, 28 Nov 2010 21:00:08 GMT) Full text and rfc822 format available.

Message #52 received at 603141-quiet@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 603141-quiet@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>
Subject: Re: postgresql-8.4 and lenny upgrades (was Re: Bug#603141: dbi-link: fails to install due to incorrect dependencies in init.d LSB header)
Date: Sun, 28 Nov 2010 21:57:12 +0100
[Message part 1 (text/plain, inline)]
Hi Holger!

On Sun, 28 Nov 2010 14:55:46 +0100, Holger Levsen wrote:
> On Sonntag, 28. November 2010, Luca Capello wrote:
> > I could not find this version anymore, not in the postgresql-8.4's
> > debian/changelog nor in snapshots.d.o, where did it come from?
> 
> it's there: http://snapshot.debian.org/package/postgresql-8.4/8.4.4-1/

Yeah, now that you told me I checked that page and found it, it seems
I still need to understand how snapshot.d.o works :-)

Thx, bye,
Gismo / Luca

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'postgresql-8.4' to 'postgresql-common'. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 05 Dec 2010 15:09:20 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions postgresql-8.4/8.4.4-1. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 05 Dec 2010 15:09:20 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions postgresql-8.4/8.4.4-2. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 05 Dec 2010 15:09:21 GMT) Full text and rfc822 format available.

Forcibly Merged 591924 603140 603141. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 05 Dec 2010 15:09:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jan 2011 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:35:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.